automation-suite
2.2510
true
Automation Suite API 指南
- 入门指南
- 身份验证
- 作用域和权限
- 平台管理 API
重要 :
请注意,此内容已使用机器翻译进行了部分本地化。
新发布内容的本地化可能需要 1-2 周的时间才能完成。
使用 Identity API 为 Automation Suite 组织中的外部 OAuth 客户端生成新的客户端密码,包括所需的作用域和响应架构。
为给定的外部客户端生成新的客户端密码。
API 端点
GET https://{yourDomain}/{organizationName}/identity_/api/ExternalClient/{partitionGlobalId}/{clientId}
作用域
需要以下任一作用域:
PM.OAuthAppPM.OAuthApp.WritePM.OAuthSecret.Write
请求标头
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
备注:
要获取{access_token} ,请确保通过身份验证方法中描述的其中一种方法进行身份验证。
请求正文
请求正文包含外部客户端所在的组织 ID 以及相应的客户端 ID。
{
"partitionGlobalId": "<organizationId>",
"clientId": "<clientId>"
}
{
"partitionGlobalId": "<organizationId>",
"clientId": "<clientId>"
}
响应
200 成功
已成功为给定的外部客户端创建客户端密码。
"string"
"string"